RegExps

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.core.parser.JFlex
Class RegExps

    java.lang.Object
      weka.core.parser.JFlex.RegExps

    public class RegExps

extends java.lang.Object

Stores all rules of the specification for later access in RegExp -> NFA

Version:
  JFlex 1.4.1, $Revision: 1.1 $, $Date: 2008-05-09 09:14:10 $
Author:
  Gerwin Klein

Constructor Summary
`RegExps()`

Method Summary
`void` | `addStates(int regNum, java.util.Vector newStates)`
`void` | `checkActions()`
`Action` | `getAction(int num)`
`int` | `getLine(int num)`
`RegExp` | `getLookAhead(int num)`
`int` | `getNum()`
`RegExp` | `getRegExp(int num)`
`java.util.Vector` | `getStates(int num)`
`int` | `insert(int line, java.util.Vector stateList, RegExp regExp, Action action, java.lang.Boolean isBOL, RegExp lookAhead)`
`int` | `insert(java.util.Vector stateList, Action action)`
`boolean` | `isBOL(int num)`
`boolean` | `isEOF(int num)`
`int` | `NFASize(Macros macros)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegExps

    public RegExps()

Method Detail

### insert

    public int insert(int line,
                      java.util.Vector stateList,
                      RegExp regExp,
                      Action action,
                      java.lang.Boolean isBOL,
                      RegExp lookAhead)

### insert

    public int insert(java.util.Vector stateList,
                      Action action)

### addStates

    public void addStates(int regNum,
                          java.util.Vector newStates)

### getNum

    public int getNum()

### isBOL

    public boolean isBOL(int num)

### getLookAhead

    public RegExp getLookAhead(int num)

### isEOF

    public boolean isEOF(int num)

### getStates

    public java.util.Vector getStates(int num)

### getRegExp

    public RegExp getRegExp(int num)

### getLine

    public int getLine(int num)

### checkActions

    public void checkActions()

### getAction

    public Action getAction(int num)

### NFASize

    public int NFASize(Macros macros)

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD